"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSummaryByDistance = void 0;
const distance_1 = require("./distance");
function getSummaryByDistance({ mainFingerprint, candidates, variables, }) {
    let numCandidates = 0;
    let numInstances = 0;
    let groups = [0, 0, 0, 0, 0]; // index 4 holds distances of 4 and greater.
    // iterate each fingerprint that came back, and collect summary results.
    candidates.forEach((candidate) => {
        const result = distance_1.processDistance({ mainFingerprint, candidate, variables });
        if (result.candidate) {
            numCandidates++;
            numInstances += result.candidate.count;
            groups[Math.min(result.candidate.distance, 4)]++;
        }
    });
    return {
        // Own fingerprint info:
        fingerprint: mainFingerprint.fingerprint,
        dates: mainFingerprint.dates,
        count: mainFingerprint.count,
        // Similarity info:
        candidates: numCandidates,
        candidateInstances: numInstances,
        groupedByDistance: groups,
    };
}
exports.getSummaryByDistance = getSummaryByDistance;
//# sourceMappingURL=summary.js.map