"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const worker_threads_1 = require("worker_threads");
const distance_1 = require("./distance");
const summary_1 = require("./summary");
/*
 * Work of the worker threads is done here.
 */
function isDistance(request) {
    return request.type === 'distance';
}
function isDistanceSummary(request) {
    return request.type === 'distance-summary';
}
worker_threads_1.parentPort === null || worker_threads_1.parentPort === void 0 ? void 0 : worker_threads_1.parentPort.on('message', (task) => {
    let result = null;
    if (isDistance(task)) {
        const { candidate, variables, mainFingerprint } = task;
        result = distance_1.processDistance({ mainFingerprint, candidate, variables });
    }
    else if (isDistanceSummary(task)) {
        const { candidates, variables, mainFingerprint, type } = task;
        result = summary_1.getSummaryByDistance({
            type,
            mainFingerprint,
            candidates,
            variables,
        });
    }
    worker_threads_1.parentPort === null || worker_threads_1.parentPort === void 0 ? void 0 : worker_threads_1.parentPort.postMessage(result);
});
//# sourceMappingURL=taskProcessor.js.map